NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.SketchPolygonBuilder Class Reference

Represents a NXOpen.SketchPolygon builder More...

Inheritance diagram for NXOpen.SketchPolygonBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  SizeType { InscribedRadius, CircumscribedRadius, SideLength }
 Polygon type More...
 

Public Member Functions

unsafe void CreateLengthDimension (bool createDim)
 The flag to indicate if we need to create length dimension More...
 
unsafe void CreateRadiusDimension (bool createDim)
 The flag to indicate if we need to create radius dimension More...
 
unsafe void CreateAngleDimension (bool createDim)
 The flag to indicate if we need to create angle dimension More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.Point CenterPoint [get, set]
 Returns or sets the center point More...
 
unsafe NXOpen.Expression LengthDimension [get]
 Returns the length dimension. More...
 
unsafe int NumberOfSides [get, set]
 Returns or sets the number of sides More...
 
unsafe NXOpen.Expression RadiusDimension [get]
 Returns the radius dimension. More...
 
unsafe NXOpen.Expression RotationDimension [get]
 Returns the angular dimension More...
 
unsafe
NXOpen.SketchPolygonBuilder.SizeType 
Size [get, set]
 Returns or sets the size type More...
 
unsafe NXOpen.Point SizePoint [get, set]
 Returns or sets the size point More...
 

Detailed Description

Represents a NXOpen.SketchPolygon builder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchPolygonBuilder

Default values.

Property Value

LengthDimension.Value

100 (millimeters part), 3.937 (inches part)

NumberOfSides

6

RadiusDimension.Value

100 (millimeters part), 3.937 (inches part)

RotationDimension.Value

0

Size

InscribedRadius

Created in NX7.5.0

Member Enumeration Documentation

Polygon type

Enumerator
InscribedRadius 

inscribed radius

CircumscribedRadius 

circumscribed radius

SideLength 

side length

Member Function Documentation

unsafe void NXOpen.SketchPolygonBuilder.CreateAngleDimension ( bool  createDim)

The flag to indicate if we need to create angle dimension

Created in NX7.5.0

License requirements: None.

Parameters
createDimtrue, to create the angle dimension
unsafe void NXOpen.SketchPolygonBuilder.CreateLengthDimension ( bool  createDim)

The flag to indicate if we need to create length dimension

Created in NX7.5.0

License requirements: None.

Parameters
createDimtrue, to create the length dimension
unsafe void NXOpen.SketchPolygonBuilder.CreateRadiusDimension ( bool  createDim)

The flag to indicate if we need to create radius dimension

Created in NX7.5.0

License requirements: None.

Parameters
createDimtrue, to create the radius dimension

Property Documentation

unsafe NXOpen.Point NXOpen.SketchPolygonBuilder.CenterPoint
getset

Returns or sets the center point

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.SketchPolygonBuilder.LengthDimension
get

Returns the length dimension.

This value is only used if NXOpen.SketchPolygonBuilder.Size is set to NXOpen.SketchPolygonBuilder.SizeType.SideLength

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.SketchPolygonBuilder.NumberOfSides
getset

Returns or sets the number of sides

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.SketchPolygonBuilder.RadiusDimension
get

Returns the radius dimension.

This value is only used if NXOpen.SketchPolygonBuilder.Size is set to NXOpen.SketchPolygonBuilder.SizeType.InscribedRadius or NXOpen.SketchPolygonBuilder.SizeType.CircumscribedRadius

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.SketchPolygonBuilder.RotationDimension
get

Returns the angular dimension

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SketchPolygonBuilder.SizeType NXOpen.SketchPolygonBuilder.Size
getset

Returns or sets the size type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Point NXOpen.SketchPolygonBuilder.SizePoint
getset

Returns or sets the size point

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.